## IdeBufferChangeMonitor IdeBufferChangeMonitor |

## Functions

#define | IDE_TYPE_BUFFER_CHANGE_MONITOR
IdeBufferLineChange | ide_buffer_change_monitor_get_change ()
void | ide_buffer_change_monitor_emit_changed ()

## Properties

IdeBuffer * | buffer | Write / Construct Only

## Signals

void | changed | Run Last

## Types and Values

enum | IdeBufferLineChange
struct | IdeBufferChangeMonitorClass
| IdeBufferChangeMonitor

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBufferChangeMonitor
                ╰── IdeGitBufferChangeMonitor

## Description

## Functions

### IDE_TYPE_BUFFER_CHANGE_MONITOR

    #define IDE_TYPE_BUFFER_CHANGE_MONITOR (ide_buffer_change_monitor_get_type())

### ide_buffer_change_monitor_get_change ()

    IdeBufferLineChange
    ide_buffer_change_monitor_get_change (IdeBufferChangeMonitor *self,
                                          const GtkTextIter *iter);

### ide_buffer_change_monitor_emit_changed ()

    void
    ide_buffer_change_monitor_emit_changed
                                   (IdeBufferChangeMonitor *self);

## Types and Values

### enum IdeBufferLineChange

#### Members

IDE_BUFFER_LINE_CHANGE_NONE |  |
IDE_BUFFER_LINE_CHANGE_ADDED |  |
IDE_BUFFER_LINE_CHANGE_CHANGED |  |
IDE_BUFFER_LINE_CHANGE_DELETED |  |

### struct IdeBufferChangeMonitorClass

    struct IdeBufferChangeMonitorClass {
      IdeObjectClass parent;

      void                (*set_buffer) (IdeBufferChangeMonitor *self,
                                         IdeBuffer              *buffer);
      IdeBufferLineChange (*get_change) (IdeBufferChangeMonitor *self,
                                         const GtkTextIter      *iter);
    };

### IdeBufferChangeMonitor

    typedef struct _IdeBufferChangeMonitor IdeBufferChangeMonitor;

## Property Details

### The `“buffer”` property

      “buffer”                   IdeBuffer *

The IdeBuffer to be monitored.

Flags: Write / Construct Only

## Signal Details

### The `“changed”` signal

    void
    user_function (IdeBufferChangeMonitor *idebufferchangemonitor,
                   gpointer                user_data)

Flags: Run Last